org.apache.hadoop.lib.service

## Interface FileSystemAccess.FileSystemExecutor<T>

- All Known Implementing Classes:
    FSOperations.FSAclStatus, FSOperations.FSAllowSnapshot, FSOperations.FSAppend, FSOperations.FSConcat, FSOperations.FSContentSummary, FSOperations.FSCreate, FSOperations.FSCreateSnapshot, FSOperations.FSDelete, FSOperations.FSDeleteSnapshot, FSOperations.FSDisallowSnapshot, FSOperations.FSFileChecksum, FSOperations.FSFileStatus, FSOperations.FSGetAllStoragePolicies, FSOperations.FSGetSnapshotDiff, FSOperations.FSGetSnapshottableDirListing, FSOperations.FSGetStoragePolicy, FSOperations.FSGetXAttrs, FSOperations.FSHomeDir, FSOperations.FSListStatus, FSOperations.FSListStatusBatch, FSOperations.FSListXAttrs, FSOperations.FSMkdirs, FSOperations.FSModifyAclEntries, FSOperations.FSOpen, FSOperations.FSQuotaUsage, FSOperations.FSRemoveAcl, FSOperations.FSRemoveAclEntries, FSOperations.FSRemoveDefaultAcl, FSOperations.FSRemoveXAttr, FSOperations.FSRename, FSOperations.FSRenameSnapshot, FSOperations.FSSetAcl, FSOperations.FSSetOwner, FSOperations.FSSetPermission, FSOperations.FSSetReplication, FSOperations.FSSetStoragePolicy, FSOperations.FSSetTimes, FSOperations.FSSetXAttr, FSOperations.FSTrashRoot, FSOperations.FSTruncate, FSOperations.FSUnsetStoragePolicy
  Enclosing interface:
    FileSystemAccess

      public static interface FileSystemAccess.FileSystemExecutor<T>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `execute(org.apache.hadoop.fs.FileSystem fs)`

- - ### Method Detail

    - #### execute

          T execute(org.apache.hadoop.fs.FileSystem fs)
             throws IOException

      Throws:
        `IOException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.